Skip to main content
POST
/
checks
/
execute
Execute checks
curl --request POST \
  --url https://backstage.example.com/api/soundcheck/checks/execute \
  --header 'Content-Type: application/json' \
  --data '
{
  "checkIds": [
    "<string>"
  ],
  "entityRefs": [
    "<string>"
  ],
  "filter": {}
}
'
{
  "results": [
    {
      "entityRef": "<string>",
      "checkId": "<string>",
      "state": "<string>",
      "details": {},
      "scope": "<string>",
      "submittedBy": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

dryRun
boolean

If true, execute without persisting results.

Body

application/json
checkIds
string[]
required
entityRefs
string[]
filter
object

Generator-friendly approximation of the runtime EntityFilter type. Runtime validation accepts a record of string or string[] values.

Response

OK

results
object[]
required